stages:
  - quality-assurance
  - build

linters:
  image: python:3.7
  stage: quality-assurance
  before_script:
    - pip install tox
  script:
    - tox -e linters

  # Be nice to new contributors, but please use `tox` before commit
  allow_failure: true

build-deb:
  image: debian:buster
  stage: build
  script:
    - apt-get update && apt-get -y --no-install-recommends install debmake dh-python debhelper python3-all
    - dpkg-buildpackage
    - mkdir build && cp ../*.deb build/
  artifacts:
    paths:
      - build/*.deb
